claw::real_number< T > Class Template Reference

Custom precision real numbers. More...

`#include <real_number.hpp>`

## Public Types

typedef T | value_type
typedef real_number< T > | self_type

## Public Member Functions

| real_number (const value_type &v)
| real_number (const self_type &that)
self_type | abs () const
bool | operator< (const self_type &that) const
bool | operator<= (const self_type &that) const
bool | operator> (const self_type &that) const
bool | operator>= (const self_type &that) const
bool | operator== (const self_type &that) const
bool | operator!= (const self_type &that) const
self_type | operator+ (const self_type &that) const
self_type | operator- (const self_type &that) const
self_type | operator* (const self_type &that) const
self_type | operator/ (const self_type &that) const
self_type & | operator+= (const self_type &that)
self_type & | operator-= (const self_type &that)
self_type & | operator*= (const self_type &that)
self_type & | operator/= (const self_type &that)
std::ostream & | output (std::ostream &os) const
template<typename U>
| operator U () const

## Friends

std::istream & | operator>> (std::istream &is, claw::real_number< T > &self)

## Detailed Description

template<typename T>
class claw::real_number< T >

Custom precision real numbers.

Author
  Julien Jorge

Definition at line 67 of file real_number.hpp.

## Member Typedef Documentation

## self_type

template<typename T>

typedef real_number<T> claw::real_number< T >::self_type

Definition at line 74 of file real_number.hpp.

## value_type

template<typename T>

typedef T claw::real_number< T >::value_type

Definition at line 73 of file real_number.hpp.

The documentation for this class was generated from the following file:

- real_number.hpp